// pages/shiming/shiming.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    select: false,
    tihuoWay: '请选择所在省份',
    select2: false,
    tihuoWay2: '请选择所在城市',
  },
  face(){
    wx.navigateTo({
      url: '/pages/shiming/renlian/face',
    })
  },
  //输入身份证
  handleInput(e) {
    let value = this.validateNumber(e.detail.value)
    this.setData({
      value
    })
  },
validateNumber(val) {
    return val.replace(/\D/g, '')
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
 
  },
  bindShowMsg() {
       this.setData({
           select:!this.data.select
       })
  },
  mySelect(e) {
      var name = e.currentTarget.dataset.name
      this.setData({
          tihuoWay: name,
          select: false
      })
  },
  
  bindShowMsg2() {
       this.setData({
           select2:!this.data.select2
       })
  },
  mySelect2(e) {
      var city = e.currentTarget.dataset.city
      this.setData({
          tihuoWay2: city,
          select2: false
      })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})